Create a CWT credential configuration
Roles
Analytics Events
/v2/credentials/compact/configurationsCreates a new CWT credential configuration, a specific set of rules and parameters that are used to create and validate a particular type of verifiable credential. These rules and parameters define how the credential is structured and what data it contains when issued.
Analytic events
- CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_CREATE_START
- CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_CREATE_SUCCESS
- CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
The credential configuration payload
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact/configurations" \ -H "Content-Type: application/json" \ -d '{ "claimMappings": { "firstName": { "mapFrom": "claims.given_name", "required": true }, "address": { "mapFrom": "claims.address.formatted" }, "picture": { "mapFrom": "claims.picture", "defaultValue": "http://example.edu/img/placeholder.png" }, "badge": { "defaultValue": "http://example.edu/img/badge.png" }, "providerSubjectId": { "mapFrom": "authenticationProvider.subjectId" } } }'{
"id": "983c0a86-204f-4431-9371-f5a22e506599",
"type": "CourseCredential",
"claimMappings": {
"firstName": {
"mapFrom": "claims.given_name",
"required": true
},
"address": {
"mapFrom": "claims.address.formatted"
},
"picture": {
"mapFrom": "claims.picture",
"defaultValue": "http://example.edu/img/placeholder.png"
},
"badge": {
"defaultValue": "http://example.edu/img/badge.png"
},
"providerSubjectId": {
"mapFrom": "authenticationProvider.subjectId"
}
},
"revocable": true,
"claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",
"expiresIn": {
"years": 1,
"months": 12,
"weeks": 52,
"days": 365,
"hours": 24,
"minutes": 1440,
"seconds": 3600
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete a claims source DELETE
Deletes an existing claims source by providing its `claimSourceID`. ### **Analytic event** * CLAIM_SOURCE_DELETE_START * CLAIM_SOURCE_DELETE_SUCCESS * CLAIM_SOURCE_DELETE_FAIL
Retrieve all CWT credential configurations GET
Returns a list of all CWT credential configurations from your tenant. ### **Analytic events** * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_START * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_SUCCESS * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_FAIL